Subject: [bug#50833] [PATCH] Add Bower (notmuch curses email client)

From: jgart <[email-masked]>
Date: Thu, 7 Jul 2022 19:23:06 -0500

On Thu, 07 Jul 2022 14:01:21 -0400 Maxim Cournoyer <[email-masked]> wrote:
> Hi jgart,
> 
> [...]
> 
> >> jgart, could you look into that?  Then we can bring this review to
> >> completion :-)
> >
> > Hi Ludo, Maxim,
> >
> >
> > Thanks for the review and encouragement. Sorry for the delay. I've been
> > in the process of relocating/starting a new job and haven't been able
> > to catch up on Guix stuff I have pending.
> >
> > I spoke with wangp regading Lynx as an optional dependency:
> >
> > https://github.com/wangp/bower/issues/103
> >
> >> Like Sarah suggested, I’d recommend using ‘substitute*’ to
> > replace, say, /usr/bin/sendmail by /gnu/store/…/bin/sendmail.
> >
> > I can patch sendmail and the others mentioned by Sarah. What should we
> > do about lynx given wangp's insight on lynx as default in bower?
> 
> I think we should patch it, given that according to wangp "it doesn't
> behave that nicely when lynx is missing but it won't crash." and taking
> into account that lynx is very small (guix size lynx says it has a
> closure of 185.4 MiB).
> 
> I'm looking forward to the v2 :-)

So, I should just patch lynx then, or also other things on that list?

btw, bower is currently available from guixrus:

https://git.sr.ht/~whereiseveryone/guixrus/tree/master/item/guixrus/packages/misc.scm#L143

I also maintain the nix package for bower:

https://github.com/NixOS/nixpkgs/blob/nixos-22.05/pkgs/applications/networking/mailreaders/notmuch-bower/default.nix#L34

I might stop maintaining the nix package since it's not as exciting work as maintaining the Guix package and I think I don't have time for that anymore ;()

all best,

jgart